Berkeley DB Java Edition version 3.2.13

## com.sleepycat.persist.evolve
Class IncompatibleClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.persist.evolve.IncompatibleClassException

All Implemented Interfaces:
  Serializable

    public class IncompatibleClassException

extends RuntimeException

A class has been changed incompatibly and no mutation has been configured to handle the change or a new class version number has not been assigned.

Author:
  Mark Hayes
See Also:
  `EntityStore.EntityStore`, `Entity.version()`, `Persistent.version()`, `Class Evolution`, Serialized Form

Constructor Summary
`IncompatibleClassException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncompatibleClassException

    public IncompatibleClassException(String msg)

Berkeley DB Java Edition version 3.2.13

Copyright 1996,2006 Oracle. All rights reserved.